tianwenfenghaha
tianwenfenghaha
2015-05-19 03:33
采纳率: 100%
浏览 5.8k
已采纳

JNative的问题,提示32位DLL不能再64位平台上运行

我使用JNative调用的C++自己写的DLL动态库文件,我在测试项目中运行的毫无问题
,使用语句输出位数信息是32位
Properties props = System.getProperties();
String bits=String.valueOf(props.get("sun.arch.data.model"));

但放到我的项目中报32位DLL不能在64位平台下运行 输出位数信息却变成了64
以下是错误代码:

Exception in thread "main" java.lang.UnsatisfiedLinkError: C:\Windows\System32\ACRSupport.dll: Can't load IA 32-bit .dll on a AMD 64-bit platform
at java.lang.ClassLoader$NativeLibrary.load(Native Method)
at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1778)
at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1703)
at java.lang.Runtime.loadLibrary0(Runtime.java:823)
at java.lang.System.loadLibrary(System.java:1030)
at com.enss.chk.util.JNativeUtil.(JNativeUtil.java:11)
at com.enss.chk.form.Tray.load(Tray.java:153)
at com.enss.chk.form.Tray.(Tray.java:95)
at com.enss.chk.entity.Test.main(Test.java:43)

![图片说明](https://img-ask.csdn.net/upload/201505/19/1432006216_326320.png)

这个项目用到了JFrame和一些jar,是这两者的问题吗?
  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

1条回答 默认 最新

  • tianwenfenghaha
    tianwenfenghaha 2015-05-19 06:12
    已采纳

    好吧、机智的我灵机一闪自己给解决了~~~

    我刚才仔细看了下那个项目和测试项目,发现有个不同之处,项目刚建立时候刚下的myEclipse,里面的JDK是1.6的

    后期我用到了一些新的东西,自己下了个jdk1.7,然后刚才我把那个JavaSE1.6的引用试着删除了,

    再次输出位数信息发现成功变成了32位,项目也能正常使用了。

    莫非这是JDK1.7的某种特性?如果大家遇到这个问题的,借鉴下我的经验,能帮到谁的话我就很开心了

    点赞 评论

相关推荐